Package: org.apache.groovy.contracts.generation

## [Java] Class ContractExecutionTracker

- org.apache.groovy.contracts.generation.ContractExecutionTracker

-     public class ContractExecutionTracker
      extends Object

  Keeps track of contract executions to avoid cyclic contract checks.

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `ContractExecutionTracker.ContractExecution` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static void` | `clear(String className, String methodIdentifier, String assertionType, boolean isStatic)`
    `` | `public static boolean` | `track(String className, String methodIdentifier, String assertionType, boolean isStatic)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static void clear(String className, String methodIdentifier, String assertionType, boolean isStatic)

    - #### public static boolean track(String className, String methodIdentifier, String assertionType, boolean isStatic)